<div class="modal-header">
  <h4 class="modal-title" id="modal-basic-title">Formulaire film</h4>
</div>

<div class="modal-body">
  <form [formGroup]="filmForm">
    <div class="form-group">
      <label for="titreInput">Titre</label>
      <input type="text" class="form-control" id="titreInput" formControlName="titre">
    </div>

    <div class="form-row">
      <div class="col">
        <label for="dureeInput">Durée (en minutes)</label>
        <input type="number" class="form-control" id="dureeInput" formControlName="duree" min="0">
      </div>

      <div class="col">
        <label for="dateInput">Date de sortie</label>
        <input type="date" class="form-control" id="dateInput" formControlName="date">
      </div>
    </div>

    <div class="form-row">
      <div class="col">
        <label for="budgetInput">Budget</label>
        <input type="number" class="form-control" id="budgetInput" formControlName="budget" min="0">
      </div>

      <div class="col">
        <label for="montantInput">Montant de la recette</label>
        <input type="number" class="form-control" id="montantInput" formControlName="montant" min="0">
      </div>
    </div>

    <div class="form-row">
      <div class="form-group col">
        <label for="realisateurSelect">Réalisateur</label>
        <select id="realisateurSelect" class="form-control" formControlName="realisateur" [(ngModel)]="film.realisateurByNoRea.noRea">
          <option *ngFor="let realisateur of realisateurList" [ngValue]="realisateur.noRea">
            {{realisateur.nomRea}} {{realisateur.prenRea}}
          </option>
        </select>
      </div>

      <div class="form-group col">
        <label for="catSelect">Catégorie</label>
        <select id="catSelect" class="form-control" formControlName="categorie" [(ngModel)]="film.categorieByCodeCat.codeCat">
          <option *ngFor="let cat of categorieList" [ngValue]="cat.codeCat">
            {{cat.libelleCat}}
          </option>
        </select>
      </div>
    </div>
  </form>
</div>

<div class="modal-footer">
  <button type="button" class="btn btn-success" [disabled]="!filmForm.valid" (click)="validate()">Valider</button>
  <button type="button" class="btn btn-danger" (click)="close()">Fermer</button>
</div>
